Package org.globus.ftp.dc

# Interface DataChannelFactory

All Known Implementing Classes:
  `GridFTPDataChannelFactory`, `SimpleDataChannelFactory`

public interface DataChannelFactory

## Method Summary

Modifier and Type
Method
Description
`DataChannel`
`getDataChannel(Session state, SocketBox socketBox)`

## Method Details

### getDataChannel

DataChannel getDataChannel(Session state, SocketBox socketBox)